Create a new app
curl --request POST \
--url https://api.example.com/api/app \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app_name": "<string>",
"app_type": "hand_authored"
}
'import requests
url = "https://api.example.com/api/app"
payload = {
"app_name": "<string>",
"app_type": "hand_authored"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({app_name: '<string>', app_type: 'hand_authored'})
};
fetch('https://api.example.com/api/app', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_name": "<string>",
"created_date": "<unknown>",
"app_type": "hand_authored",
"created_by": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Create a new app
Creates a new app entry in the system.
Requires an nx1_app_manager role.
POST
/
api
/
app
Create a new app
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Request model for creating a new App. App name must be filesystem + S3 safe.
Response
App created successfully.
Response model for creating a new App.
Unique ID of the created app.
Name of the created app.
Timestamp when the app was created.
Type of application.
Available options:
hand_authored, notebook_pipeline, inference_service, full_pipeline Username of the creator.
Was this page helpful?
⌘I

